Subject: bug#58895: GNU ELPA: Stale badges in GitHub cache

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Oct 2022 11:21:56 -0400

> I often see stale badges in the GitHub cache, sometimes for several
> days.  I think we should use a "Cache-Control" header when serving them:

Hmm... we had a directive for that in Apache's config, but it wasn't
quite right.  It should be working now.
It uses slightly different settings.
You said "12 hours", your code sais 6 hours, and the code we had used
24 hours.  I kept the 24 hours.

Your code said "must-revalidate", the code we had (and still have)
said/says "public".  I think public is right, but I don't really know
what "must-revalidate" (or its lack) implies.

        Stefan